A formula in Conjunctive Normal Form is of the form `(A or not B or not C) and (not D or E or F)`. It is encoded as `[[1, -2, -3], [-4, 5, 6]]`. Each number is a variable. All numbers must be present. The signs mean negation.

A solution is an array of booleans, one for each number. For example: `(true, false, false, false, true, true)`.

An assignment is given as an array of numbers, one per variable: e.g. `[4, -5, -6]`, which assigns D to true, E to false and F to false. This would make the formula unsatisfiable.

Documentation for central functions:
 - `IsValidConjunctiveNormalForm` - Returns true if valid, false if not. 
 - `FindSolution` - Returns true if there is a solution. Assigns the solution to the parameter `solution`.
 - `FindSolutionWithAssignments` - Returns true if there is a solution given the assignments. Assigns the solution to the parameter `solution`. The solution must include the values given in the assignments.
 - `IsSatisfiable` - Returns true if there is a solution.
 - `IsSatisfiableWithAssignments` - Returns true if there is a solution given the assignments.